Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/32
Addresses2^96
/64 networks2^32
Network
fcde:dd::/32
First address
fcde:dd::
Last address
fcde:dd:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
79,228,162,514,264,337,593,543,950,336 (2^96)
/64 networks (LANs)
4,294,967,296
Full form
fcde:00dd:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zone
d.d.0.0.e.d.c.f.ip6.arpa
Split into smaller subnets/40

fcde:dd::/32 makes 256 subnets of /40.

Subnets
#SubnetLast address
1fcde:dd::/40fcde:dd:ff:ffff:ffff:ffff:ffff:ffff
2fcde:dd:100::/40fcde:dd:1ff:ffff:ffff:ffff:ffff:ffff
3fcde:dd:200::/40fcde:dd:2ff:ffff:ffff:ffff:ffff:ffff
4fcde:dd:300::/40fcde:dd:3ff:ffff:ffff:ffff:ffff:ffff
5fcde:dd:400::/40fcde:dd:4ff:ffff:ffff:ffff:ffff:ffff
6fcde:dd:500::/40fcde:dd:5ff:ffff:ffff:ffff:ffff:ffff
7fcde:dd:600::/40fcde:dd:6ff:ffff:ffff:ffff:ffff:ffff
8fcde:dd:700::/40fcde:dd:7ff:ffff:ffff:ffff:ffff:ffff
9fcde:dd:800::/40fcde:dd:8ff:ffff:ffff:ffff:ffff:ffff
10fcde:dd:900::/40fcde:dd:9ff:ffff:ffff:ffff:ffff:ffff
11fcde:dd:a00::/40fcde:dd:aff:ffff:ffff:ffff:ffff:ffff
12fcde:dd:b00::/40fcde:dd:bff:ffff:ffff:ffff:ffff:ffff
13fcde:dd:c00::/40fcde:dd:cff:ffff:ffff:ffff:ffff:ffff
14fcde:dd:d00::/40fcde:dd:dff:ffff:ffff:ffff:ffff:ffff
15fcde:dd:e00::/40fcde:dd:eff:ffff:ffff:ffff:ffff:ffff
16fcde:dd:f00::/40fcde:dd:fff:ffff:ffff:ffff:ffff:ffff
17fcde:dd:1000::/40fcde:dd:10ff:ffff:ffff:ffff:ffff:ffff
18fcde:dd:1100::/40fcde:dd:11ff:ffff:ffff:ffff:ffff:ffff
19fcde:dd:1200::/40fcde:dd:12ff:ffff:ffff:ffff:ffff:ffff
20fcde:dd:1300::/40fcde:dd:13ff:ffff:ffff:ffff:ffff:ffff
21fcde:dd:1400::/40fcde:dd:14ff:ffff:ffff:ffff:ffff:ffff
22fcde:dd:1500::/40fcde:dd:15ff:ffff:ffff:ffff:ffff:ffff
23fcde:dd:1600::/40fcde:dd:16ff:ffff:ffff:ffff:ffff:ffff
24fcde:dd:1700::/40fcde:dd:17ff:ffff:ffff:ffff:ffff:ffff
25fcde:dd:1800::/40fcde:dd:18ff:ffff:ffff:ffff:ffff:ffff
26fcde:dd:1900::/40fcde:dd:19ff:ffff:ffff:ffff:ffff:ffff
27fcde:dd:1a00::/40fcde:dd:1aff:ffff:ffff:ffff:ffff:ffff
28fcde:dd:1b00::/40fcde:dd:1bff:ffff:ffff:ffff:ffff:ffff
29fcde:dd:1c00::/40fcde:dd:1cff:ffff:ffff:ffff:ffff:ffff
30fcde:dd:1d00::/40fcde:dd:1dff:ffff:ffff:ffff:ffff:ffff
31fcde:dd:1e00::/40fcde:dd:1eff:ffff:ffff:ffff:ffff:ffff
32fcde:dd:1f00::/40fcde:dd:1fff:ffff:ffff:ffff:ffff:ffff
33fcde:dd:2000::/40fcde:dd:20ff:ffff:ffff:ffff:ffff:ffff
34fcde:dd:2100::/40fcde:dd:21ff:ffff:ffff:ffff:ffff:ffff
35fcde:dd:2200::/40fcde:dd:22ff:ffff:ffff:ffff:ffff:ffff
36fcde:dd:2300::/40fcde:dd:23ff:ffff:ffff:ffff:ffff:ffff
37fcde:dd:2400::/40fcde:dd:24ff:ffff:ffff:ffff:ffff:ffff
38fcde:dd:2500::/40fcde:dd:25ff:ffff:ffff:ffff:ffff:ffff
39fcde:dd:2600::/40fcde:dd:26ff:ffff:ffff:ffff:ffff:ffff
40fcde:dd:2700::/40fcde:dd:27ff:ffff:ffff:ffff:ffff:ffff
41fcde:dd:2800::/40fcde:dd:28ff:ffff:ffff:ffff:ffff:ffff
42fcde:dd:2900::/40fcde:dd:29ff:ffff:ffff:ffff:ffff:ffff
43fcde:dd:2a00::/40fcde:dd:2aff:ffff:ffff:ffff:ffff:ffff
44fcde:dd:2b00::/40fcde:dd:2bff:ffff:ffff:ffff:ffff:ffff
45fcde:dd:2c00::/40fcde:dd:2cff:ffff:ffff:ffff:ffff:ffff
46fcde:dd:2d00::/40fcde:dd:2dff:ffff:ffff:ffff:ffff:ffff
47fcde:dd:2e00::/40fcde:dd:2eff:ffff:ffff:ffff:ffff:ffff
48fcde:dd:2f00::/40fcde:dd:2fff:ffff:ffff:ffff:ffff:ffff
49fcde:dd:3000::/40fcde:dd:30ff:ffff:ffff:ffff:ffff:ffff
50fcde:dd:3100::/40fcde:dd:31ff:ffff:ffff:ffff:ffff:ffff
51fcde:dd:3200::/40fcde:dd:32ff:ffff:ffff:ffff:ffff:ffff
52fcde:dd:3300::/40fcde:dd:33ff:ffff:ffff:ffff:ffff:ffff
53fcde:dd:3400::/40fcde:dd:34ff:ffff:ffff:ffff:ffff:ffff
54fcde:dd:3500::/40fcde:dd:35ff:ffff:ffff:ffff:ffff:ffff
55fcde:dd:3600::/40fcde:dd:36ff:ffff:ffff:ffff:ffff:ffff
56fcde:dd:3700::/40fcde:dd:37ff:ffff:ffff:ffff:ffff:ffff
57fcde:dd:3800::/40fcde:dd:38ff:ffff:ffff:ffff:ffff:ffff
58fcde:dd:3900::/40fcde:dd:39ff:ffff:ffff:ffff:ffff:ffff
59fcde:dd:3a00::/40fcde:dd:3aff:ffff:ffff:ffff:ffff:ffff
60fcde:dd:3b00::/40fcde:dd:3bff:ffff:ffff:ffff:ffff:ffff
61fcde:dd:3c00::/40fcde:dd:3cff:ffff:ffff:ffff:ffff:ffff
62fcde:dd:3d00::/40fcde:dd:3dff:ffff:ffff:ffff:ffff:ffff
63fcde:dd:3e00::/40fcde:dd:3eff:ffff:ffff:ffff:ffff:ffff
64fcde:dd:3f00::/40fcde:dd:3fff:ffff:ffff:ffff:ffff:ffff
65fcde:dd:4000::/40fcde:dd:40ff:ffff:ffff:ffff:ffff:ffff
66fcde:dd:4100::/40fcde:dd:41ff:ffff:ffff:ffff:ffff:ffff
67fcde:dd:4200::/40fcde:dd:42ff:ffff:ffff:ffff:ffff:ffff
68fcde:dd:4300::/40fcde:dd:43ff:ffff:ffff:ffff:ffff:ffff
69fcde:dd:4400::/40fcde:dd:44ff:ffff:ffff:ffff:ffff:ffff
70fcde:dd:4500::/40fcde:dd:45ff:ffff:ffff:ffff:ffff:ffff
71fcde:dd:4600::/40fcde:dd:46ff:ffff:ffff:ffff:ffff:ffff
72fcde:dd:4700::/40fcde:dd:47ff:ffff:ffff:ffff:ffff:ffff
73fcde:dd:4800::/40fcde:dd:48ff:ffff:ffff:ffff:ffff:ffff
74fcde:dd:4900::/40fcde:dd:49ff:ffff:ffff:ffff:ffff:ffff
75fcde:dd:4a00::/40fcde:dd:4aff:ffff:ffff:ffff:ffff:ffff
76fcde:dd:4b00::/40fcde:dd:4bff:ffff:ffff:ffff:ffff:ffff
77fcde:dd:4c00::/40fcde:dd:4cff:ffff:ffff:ffff:ffff:ffff
78fcde:dd:4d00::/40fcde:dd:4dff:ffff:ffff:ffff:ffff:ffff
79fcde:dd:4e00::/40fcde:dd:4eff:ffff:ffff:ffff:ffff:ffff
80fcde:dd:4f00::/40fcde:dd:4fff:ffff:ffff:ffff:ffff:ffff
81fcde:dd:5000::/40fcde:dd:50ff:ffff:ffff:ffff:ffff:ffff
82fcde:dd:5100::/40fcde:dd:51ff:ffff:ffff:ffff:ffff:ffff
83fcde:dd:5200::/40fcde:dd:52ff:ffff:ffff:ffff:ffff:ffff
84fcde:dd:5300::/40fcde:dd:53ff:ffff:ffff:ffff:ffff:ffff
85fcde:dd:5400::/40fcde:dd:54ff:ffff:ffff:ffff:ffff:ffff
86fcde:dd:5500::/40fcde:dd:55ff:ffff:ffff:ffff:ffff:ffff
87fcde:dd:5600::/40fcde:dd:56ff:ffff:ffff:ffff:ffff:ffff
88fcde:dd:5700::/40fcde:dd:57ff:ffff:ffff:ffff:ffff:ffff
89fcde:dd:5800::/40fcde:dd:58ff:ffff:ffff:ffff:ffff:ffff
90fcde:dd:5900::/40fcde:dd:59ff:ffff:ffff:ffff:ffff:ffff
91fcde:dd:5a00::/40fcde:dd:5aff:ffff:ffff:ffff:ffff:ffff
92fcde:dd:5b00::/40fcde:dd:5bff:ffff:ffff:ffff:ffff:ffff
93fcde:dd:5c00::/40fcde:dd:5cff:ffff:ffff:ffff:ffff:ffff
94fcde:dd:5d00::/40fcde:dd:5dff:ffff:ffff:ffff:ffff:ffff
95fcde:dd:5e00::/40fcde:dd:5eff:ffff:ffff:ffff:ffff:ffff
96fcde:dd:5f00::/40fcde:dd:5fff:ffff:ffff:ffff:ffff:ffff
97fcde:dd:6000::/40fcde:dd:60ff:ffff:ffff:ffff:ffff:ffff
98fcde:dd:6100::/40fcde:dd:61ff:ffff:ffff:ffff:ffff:ffff
99fcde:dd:6200::/40fcde:dd:62ff:ffff:ffff:ffff:ffff:ffff
100fcde:dd:6300::/40fcde:dd:63ff:ffff:ffff:ffff:ffff:ffff
101fcde:dd:6400::/40fcde:dd:64ff:ffff:ffff:ffff:ffff:ffff
102fcde:dd:6500::/40fcde:dd:65ff:ffff:ffff:ffff:ffff:ffff
103fcde:dd:6600::/40fcde:dd:66ff:ffff:ffff:ffff:ffff:ffff
104fcde:dd:6700::/40fcde:dd:67ff:ffff:ffff:ffff:ffff:ffff
105fcde:dd:6800::/40fcde:dd:68ff:ffff:ffff:ffff:ffff:ffff
106fcde:dd:6900::/40fcde:dd:69ff:ffff:ffff:ffff:ffff:ffff
107fcde:dd:6a00::/40fcde:dd:6aff:ffff:ffff:ffff:ffff:ffff
108fcde:dd:6b00::/40fcde:dd:6bff:ffff:ffff:ffff:ffff:ffff
109fcde:dd:6c00::/40fcde:dd:6cff:ffff:ffff:ffff:ffff:ffff
110fcde:dd:6d00::/40fcde:dd:6dff:ffff:ffff:ffff:ffff:ffff
111fcde:dd:6e00::/40fcde:dd:6eff:ffff:ffff:ffff:ffff:ffff
112fcde:dd:6f00::/40fcde:dd:6fff:ffff:ffff:ffff:ffff:ffff
113fcde:dd:7000::/40fcde:dd:70ff:ffff:ffff:ffff:ffff:ffff
114fcde:dd:7100::/40fcde:dd:71ff:ffff:ffff:ffff:ffff:ffff
115fcde:dd:7200::/40fcde:dd:72ff:ffff:ffff:ffff:ffff:ffff
116fcde:dd:7300::/40fcde:dd:73ff:ffff:ffff:ffff:ffff:ffff
117fcde:dd:7400::/40fcde:dd:74ff:ffff:ffff:ffff:ffff:ffff
118fcde:dd:7500::/40fcde:dd:75ff:ffff:ffff:ffff:ffff:ffff
119fcde:dd:7600::/40fcde:dd:76ff:ffff:ffff:ffff:ffff:ffff
120fcde:dd:7700::/40fcde:dd:77ff:ffff:ffff:ffff:ffff:ffff
121fcde:dd:7800::/40fcde:dd:78ff:ffff:ffff:ffff:ffff:ffff
122fcde:dd:7900::/40fcde:dd:79ff:ffff:ffff:ffff:ffff:ffff
123fcde:dd:7a00::/40fcde:dd:7aff:ffff:ffff:ffff:ffff:ffff
124fcde:dd:7b00::/40fcde:dd:7bff:ffff:ffff:ffff:ffff:ffff
125fcde:dd:7c00::/40fcde:dd:7cff:ffff:ffff:ffff:ffff:ffff
126fcde:dd:7d00::/40fcde:dd:7dff:ffff:ffff:ffff:ffff:ffff
127fcde:dd:7e00::/40fcde:dd:7eff:ffff:ffff:ffff:ffff:ffff
128fcde:dd:7f00::/40fcde:dd:7fff:ffff:ffff:ffff:ffff:ffff
129fcde:dd:8000::/40fcde:dd:80ff:ffff:ffff:ffff:ffff:ffff
130fcde:dd:8100::/40fcde:dd:81ff:ffff:ffff:ffff:ffff:ffff
131fcde:dd:8200::/40fcde:dd:82ff:ffff:ffff:ffff:ffff:ffff
132fcde:dd:8300::/40fcde:dd:83ff:ffff:ffff:ffff:ffff:ffff
133fcde:dd:8400::/40fcde:dd:84ff:ffff:ffff:ffff:ffff:ffff
134fcde:dd:8500::/40fcde:dd:85ff:ffff:ffff:ffff:ffff:ffff
135fcde:dd:8600::/40fcde:dd:86ff:ffff:ffff:ffff:ffff:ffff
136fcde:dd:8700::/40fcde:dd:87ff:ffff:ffff:ffff:ffff:ffff
137fcde:dd:8800::/40fcde:dd:88ff:ffff:ffff:ffff:ffff:ffff
138fcde:dd:8900::/40fcde:dd:89ff:ffff:ffff:ffff:ffff:ffff
139fcde:dd:8a00::/40fcde:dd:8aff:ffff:ffff:ffff:ffff:ffff
140fcde:dd:8b00::/40fcde:dd:8bff:ffff:ffff:ffff:ffff:ffff
141fcde:dd:8c00::/40fcde:dd:8cff:ffff:ffff:ffff:ffff:ffff
142fcde:dd:8d00::/40fcde:dd:8dff:ffff:ffff:ffff:ffff:ffff
143fcde:dd:8e00::/40fcde:dd:8eff:ffff:ffff:ffff:ffff:ffff
144fcde:dd:8f00::/40fcde:dd:8fff:ffff:ffff:ffff:ffff:ffff
145fcde:dd:9000::/40fcde:dd:90ff:ffff:ffff:ffff:ffff:ffff
146fcde:dd:9100::/40fcde:dd:91ff:ffff:ffff:ffff:ffff:ffff
147fcde:dd:9200::/40fcde:dd:92ff:ffff:ffff:ffff:ffff:ffff
148fcde:dd:9300::/40fcde:dd:93ff:ffff:ffff:ffff:ffff:ffff
149fcde:dd:9400::/40fcde:dd:94ff:ffff:ffff:ffff:ffff:ffff
150fcde:dd:9500::/40fcde:dd:95ff:ffff:ffff:ffff:ffff:ffff
151fcde:dd:9600::/40fcde:dd:96ff:ffff:ffff:ffff:ffff:ffff
152fcde:dd:9700::/40fcde:dd:97ff:ffff:ffff:ffff:ffff:ffff
153fcde:dd:9800::/40fcde:dd:98ff:ffff:ffff:ffff:ffff:ffff
154fcde:dd:9900::/40fcde:dd:99ff:ffff:ffff:ffff:ffff:ffff
155fcde:dd:9a00::/40fcde:dd:9aff:ffff:ffff:ffff:ffff:ffff
156fcde:dd:9b00::/40fcde:dd:9bff:ffff:ffff:ffff:ffff:ffff
157fcde:dd:9c00::/40fcde:dd:9cff:ffff:ffff:ffff:ffff:ffff
158fcde:dd:9d00::/40fcde:dd:9dff:ffff:ffff:ffff:ffff:ffff
159fcde:dd:9e00::/40fcde:dd:9eff:ffff:ffff:ffff:ffff:ffff
160fcde:dd:9f00::/40fcde:dd:9fff:ffff:ffff:ffff:ffff:ffff
161fcde:dd:a000::/40fcde:dd:a0ff:ffff:ffff:ffff:ffff:ffff
162fcde:dd:a100::/40fcde:dd:a1ff:ffff:ffff:ffff:ffff:ffff
163fcde:dd:a200::/40fcde:dd:a2ff:ffff:ffff:ffff:ffff:ffff
164fcde:dd:a300::/40fcde:dd:a3ff:ffff:ffff:ffff:ffff:ffff
165fcde:dd:a400::/40fcde:dd:a4ff:ffff:ffff:ffff:ffff:ffff
166fcde:dd:a500::/40fcde:dd:a5ff:ffff:ffff:ffff:ffff:ffff
167fcde:dd:a600::/40fcde:dd:a6ff:ffff:ffff:ffff:ffff:ffff
168fcde:dd:a700::/40fcde:dd:a7ff:ffff:ffff:ffff:ffff:ffff
169fcde:dd:a800::/40fcde:dd:a8ff:ffff:ffff:ffff:ffff:ffff
170fcde:dd:a900::/40fcde:dd:a9ff:ffff:ffff:ffff:ffff:ffff
171fcde:dd:aa00::/40fcde:dd:aaff:ffff:ffff:ffff:ffff:ffff
172fcde:dd:ab00::/40fcde:dd:abff:ffff:ffff:ffff:ffff:ffff
173fcde:dd:ac00::/40fcde:dd:acff:ffff:ffff:ffff:ffff:ffff
174fcde:dd:ad00::/40fcde:dd:adff:ffff:ffff:ffff:ffff:ffff
175fcde:dd:ae00::/40fcde:dd:aeff:ffff:ffff:ffff:ffff:ffff
176fcde:dd:af00::/40fcde:dd:afff:ffff:ffff:ffff:ffff:ffff
177fcde:dd:b000::/40fcde:dd:b0ff:ffff:ffff:ffff:ffff:ffff
178fcde:dd:b100::/40fcde:dd:b1ff:ffff:ffff:ffff:ffff:ffff
179fcde:dd:b200::/40fcde:dd:b2ff:ffff:ffff:ffff:ffff:ffff
180fcde:dd:b300::/40fcde:dd:b3ff:ffff:ffff:ffff:ffff:ffff
181fcde:dd:b400::/40fcde:dd:b4ff:ffff:ffff:ffff:ffff:ffff
182fcde:dd:b500::/40fcde:dd:b5ff:ffff:ffff:ffff:ffff:ffff
183fcde:dd:b600::/40fcde:dd:b6ff:ffff:ffff:ffff:ffff:ffff
184fcde:dd:b700::/40fcde:dd:b7ff:ffff:ffff:ffff:ffff:ffff
185fcde:dd:b800::/40fcde:dd:b8ff:ffff:ffff:ffff:ffff:ffff
186fcde:dd:b900::/40fcde:dd:b9ff:ffff:ffff:ffff:ffff:ffff
187fcde:dd:ba00::/40fcde:dd:baff:ffff:ffff:ffff:ffff:ffff
188fcde:dd:bb00::/40fcde:dd:bbff:ffff:ffff:ffff:ffff:ffff
189fcde:dd:bc00::/40fcde:dd:bcff:ffff:ffff:ffff:ffff:ffff
190fcde:dd:bd00::/40fcde:dd:bdff:ffff:ffff:ffff:ffff:ffff
191fcde:dd:be00::/40fcde:dd:beff:ffff:ffff:ffff:ffff:ffff
192fcde:dd:bf00::/40fcde:dd:bfff:ffff:ffff:ffff:ffff:ffff
193fcde:dd:c000::/40fcde:dd:c0ff:ffff:ffff:ffff:ffff:ffff
194fcde:dd:c100::/40fcde:dd:c1ff:ffff:ffff:ffff:ffff:ffff
195fcde:dd:c200::/40fcde:dd:c2ff:ffff:ffff:ffff:ffff:ffff
196fcde:dd:c300::/40fcde:dd:c3ff:ffff:ffff:ffff:ffff:ffff
197fcde:dd:c400::/40fcde:dd:c4ff:ffff:ffff:ffff:ffff:ffff
198fcde:dd:c500::/40fcde:dd:c5ff:ffff:ffff:ffff:ffff:ffff
199fcde:dd:c600::/40fcde:dd:c6ff:ffff:ffff:ffff:ffff:ffff
200fcde:dd:c700::/40fcde:dd:c7ff:ffff:ffff:ffff:ffff:ffff
201fcde:dd:c800::/40fcde:dd:c8ff:ffff:ffff:ffff:ffff:ffff
202fcde:dd:c900::/40fcde:dd:c9ff:ffff:ffff:ffff:ffff:ffff
203fcde:dd:ca00::/40fcde:dd:caff:ffff:ffff:ffff:ffff:ffff
204fcde:dd:cb00::/40fcde:dd:cbff:ffff:ffff:ffff:ffff:ffff
205fcde:dd:cc00::/40fcde:dd:ccff:ffff:ffff:ffff:ffff:ffff
206fcde:dd:cd00::/40fcde:dd:cdff:ffff:ffff:ffff:ffff:ffff
207fcde:dd:ce00::/40fcde:dd:ceff:ffff:ffff:ffff:ffff:ffff
208fcde:dd:cf00::/40fcde:dd:cfff:ffff:ffff:ffff:ffff:ffff
209fcde:dd:d000::/40fcde:dd:d0ff:ffff:ffff:ffff:ffff:ffff
210fcde:dd:d100::/40fcde:dd:d1ff:ffff:ffff:ffff:ffff:ffff
211fcde:dd:d200::/40fcde:dd:d2ff:ffff:ffff:ffff:ffff:ffff
212fcde:dd:d300::/40fcde:dd:d3ff:ffff:ffff:ffff:ffff:ffff
213fcde:dd:d400::/40fcde:dd:d4ff:ffff:ffff:ffff:ffff:ffff
214fcde:dd:d500::/40fcde:dd:d5ff:ffff:ffff:ffff:ffff:ffff
215fcde:dd:d600::/40fcde:dd:d6ff:ffff:ffff:ffff:ffff:ffff
216fcde:dd:d700::/40fcde:dd:d7ff:ffff:ffff:ffff:ffff:ffff
217fcde:dd:d800::/40fcde:dd:d8ff:ffff:ffff:ffff:ffff:ffff
218fcde:dd:d900::/40fcde:dd:d9ff:ffff:ffff:ffff:ffff:ffff
219fcde:dd:da00::/40fcde:dd:daff:ffff:ffff:ffff:ffff:ffff
220fcde:dd:db00::/40fcde:dd:dbff:ffff:ffff:ffff:ffff:ffff
221fcde:dd:dc00::/40fcde:dd:dcff:ffff:ffff:ffff:ffff:ffff
222fcde:dd:dd00::/40fcde:dd:ddff:ffff:ffff:ffff:ffff:ffff
223fcde:dd:de00::/40fcde:dd:deff:ffff:ffff:ffff:ffff:ffff
224fcde:dd:df00::/40fcde:dd:dfff:ffff:ffff:ffff:ffff:ffff
225fcde:dd:e000::/40fcde:dd:e0ff:ffff:ffff:ffff:ffff:ffff
226fcde:dd:e100::/40fcde:dd:e1ff:ffff:ffff:ffff:ffff:ffff
227fcde:dd:e200::/40fcde:dd:e2ff:ffff:ffff:ffff:ffff:ffff
228fcde:dd:e300::/40fcde:dd:e3ff:ffff:ffff:ffff:ffff:ffff
229fcde:dd:e400::/40fcde:dd:e4ff:ffff:ffff:ffff:ffff:ffff
230fcde:dd:e500::/40fcde:dd:e5ff:ffff:ffff:ffff:ffff:ffff
231fcde:dd:e600::/40fcde:dd:e6ff:ffff:ffff:ffff:ffff:ffff
232fcde:dd:e700::/40fcde:dd:e7ff:ffff:ffff:ffff:ffff:ffff
233fcde:dd:e800::/40fcde:dd:e8ff:ffff:ffff:ffff:ffff:ffff
234fcde:dd:e900::/40fcde:dd:e9ff:ffff:ffff:ffff:ffff:ffff
235fcde:dd:ea00::/40fcde:dd:eaff:ffff:ffff:ffff:ffff:ffff
236fcde:dd:eb00::/40fcde:dd:ebff:ffff:ffff:ffff:ffff:ffff
237fcde:dd:ec00::/40fcde:dd:ecff:ffff:ffff:ffff:ffff:ffff
238fcde:dd:ed00::/40fcde:dd:edff:ffff:ffff:ffff:ffff:ffff
239fcde:dd:ee00::/40fcde:dd:eeff:ffff:ffff:ffff:ffff:ffff
240fcde:dd:ef00::/40fcde:dd:efff:ffff:ffff:ffff:ffff:ffff
241fcde:dd:f000::/40fcde:dd:f0ff:ffff:ffff:ffff:ffff:ffff
242fcde:dd:f100::/40fcde:dd:f1ff:ffff:ffff:ffff:ffff:ffff
243fcde:dd:f200::/40fcde:dd:f2ff:ffff:ffff:ffff:ffff:ffff
244fcde:dd:f300::/40fcde:dd:f3ff:ffff:ffff:ffff:ffff:ffff
245fcde:dd:f400::/40fcde:dd:f4ff:ffff:ffff:ffff:ffff:ffff
246fcde:dd:f500::/40fcde:dd:f5ff:ffff:ffff:ffff:ffff:ffff
247fcde:dd:f600::/40fcde:dd:f6ff:ffff:ffff:ffff:ffff:ffff
248fcde:dd:f700::/40fcde:dd:f7ff:ffff:ffff:ffff:ffff:ffff
249fcde:dd:f800::/40fcde:dd:f8ff:ffff:ffff:ffff:ffff:ffff
250fcde:dd:f900::/40fcde:dd:f9ff:ffff:ffff:ffff:ffff:ffff
251fcde:dd:fa00::/40fcde:dd:faff:ffff:ffff:ffff:ffff:ffff
252fcde:dd:fb00::/40fcde:dd:fbff:ffff:ffff:ffff:ffff:ffff
253fcde:dd:fc00::/40fcde:dd:fcff:ffff:ffff:ffff:ffff:ffff
254fcde:dd:fd00::/40fcde:dd:fdff:ffff:ffff:ffff:ffff:ffff
255fcde:dd:fe00::/40fcde:dd:feff:ffff:ffff:ffff:ffff:ffff
256fcde:dd:ff00::/40fcde:dd:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses